Bug 22204 - Обновить версию программы до 0.8.4-3
: Обновить версию программы до 0.8.4-3
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/linuxwacom)
: unstable
: all Linux
: P3 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-11-07 21:58 by
Modified: 2009-12-09 16:11 (History)


Attachments
spec для 0.8.4-3 (6.39 KB, text/plain)
2009-11-07 23:07, serpiph
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-11-07 21:58:33
Сейчас доступна версия 0.8.4-3, в которой есть поддержка Wacom Intuos 4. У меня
этот планшет, просьба его собрать.
------- Comment #1 From 2009-11-07 23:07:04 -------
Created an attachment (id=4046) [details]
spec для 0.8.4-3

Данный spec собрался у меня в hasher. Один напильник: имя архива .tar.bz2
переименовал для подгонки под спек.
------- Comment #2 From 2009-11-13 14:56:44 -------
Упс, закрыл на днях окошко с неотправленным ответом -- у меня собралось, но
сейчас не получится проверить, железо не под рукой.  Можете проверить вот эту
сборку: http://fly.osdn.org.ua/~mike/repos/linuxwacom-0.8.4-3/?

(а переименовывать не надо, на то есть ключи %setup)
------- Comment #3 From 2009-11-13 15:29:53 -------
[по техпричинам] в почту пришёл положительный ответ, отправляю в сизиф
------- Comment #4 From 2009-11-15 01:21:51 -------
Пробный запуск версии 0.8.5-3 приводит к зависанию всей системы, приходится
жать Reset. Далее, в libwacomxi надо как минимум файл
/usr/lib64/TkXInput/pkgIndex.tcl надо перенести в
%_tcldatadir/TkXInput/pkgIndex.tcl, чтобы заработала панель wacomcpl и
wacomcpl-exec. Сейчас эти программы не работают:
$ wacomcpl
wacomcpl: using TCLLIBPATH="[list  /usr/lib ]"
Error in startup script: can't find package LIBWACOMXI
    while executing
"package require LIBWACOMXI"
    (file "/usr/bin/wacomcpl-exec" line 28)
$
------- Comment #5 From 2009-11-15 19:29:11 -------
Не, висеть нам не нужно.  Отправлял src.rpm, забыл, что этот пакет уже в gear. 
Смержил, заливаю.

А вот про тиклёвую часть поподробнее, и лучше опять же с проверенным спеком в
отдельную багу.
------- Comment #6 From 2009-12-09 16:11:59 -------
Странно, автозакрытие не сработало:

* Sun Nov 15 2009 Michael Shigorin <mike@altlinux> 0.8.4-alt2
- gear build

* Sat Oct 24 2009 Michael Shigorin <mike@altlinux> 0.8.4-alt1
- 0.8.4-3 built against current xorg to fix ABI-related issues
  (closes: #22204)